%define module pycparser

Name:       python-%{module}
Version:    2.20
Release:    %mkrel 2
Summary:    pycparser is a complete parser of the C language
License:    BSD
Group:      Development/Python
URL:        https://github.com/eliben/pycparser
Source0:    %{module}-%{version}.tar.xz
Source1:    pycparser-2.10-remove-relative-sys-path.py
Patch1:     pycparser-2.14-disable-embedded-ply.patch
BuildArch:  noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-ply

%description
pycparser is a complete parser of the C language, written in
pure Python using the PLY parsing library.
It parses C code into an AST and can serve as a front-end for
C compilers or analysis tools.

%package -n python3-%{module}
Summary:        C parser and AST generator written in Python
Group:          Development/Python
Requires:       python3-ply
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
pycparser is a complete parser for the C language, written in pure Python.
It is a module designed to be easily integrated into applications that
need to parse C source code.

%prep
%setup -q -n %{module}-%{version}
%patch1 -p1

# remove embedded copy of ply
rm -rf pycparser/ply

# examples
%{__python3} %{SOURCE1} examples

%build
%py3_build
pushd build/lib/pycparser
%{__python3} _build_tables.py
popd

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}


%files -n python3-%{module}
%doc examples LICENSE
%{python3_sitelib}/%{module}/
%{python3_sitelib}/%{module}-*.egg-info


%changelog
* Sat Mar 05 2022 TerryN <terryn94 at gmail.com> 2.20-2pclos2022
- rebuild for python 3.10

* Sun May 16 2021 tex - 2.20-1pclos2021
- create pkg from pip3
